Waiting for engine...
Skip to main content

Boomi MFT - AFT Management API Reference (v1) - PGPKeys

Toggle Pane

Download OpenAPI Specification: Download

Run In Postman

For more information about Postman collections, forking, and making your first API call, refer to the Working with Boomi APIs on Postman page.

PGPKeys

Retrieves all PGP keys for a specific organization

Returns list of PGP keys configured for an organization.

Authorizations:
ApiKeyBearer
query Parameters
organizationId
integer <int32>

Unique identifier of the organization to retrieve PGP keys for

Responses

Response Schema:
Array
id
integer <int32>
organizationId
integer <int32>
name
string or null
publicKeyText
string or null
algorithmId
integer or null <int32>
keyStrengthId
integer or null <int32>
username
string or null
expirationDate
string or null <date-time>
isASCIIArmor
boolean or null
description
string or null
createdBy
string or null
createdDate
string or null <date-time>
updatedBy
string or null
updatedDate
string or null <date-time>
deletedBy
string or null
deletedDate
string or null <date-time>

Response samples

Content type
No sample

Retrieves detailed information for a specific PGP key

Returns detailed PGP key information including algorithm, strength, and expiration.

Authorizations:
ApiKeyBearer
path Parameters
pgpKeyId
required
integer <int32>

Unique identifier of the PGP key to retrieve

Responses

Response Schema:
id
integer <int32>
organizationId
integer <int32>
name
string or null
publicKeyText
string or null
algorithmId
integer or null <int32>
keyStrengthId
integer or null <int32>
username
string or null
expirationDate
string or null <date-time>
isASCIIArmor
boolean or null
description
string or null
createdBy
string or null
createdDate
string or null <date-time>
updatedBy
string or null
updatedDate
string or null <date-time>
deletedBy
string or null
deletedDate
string or null <date-time>

Response samples

Content type
No sample

Deletes a specific PGP key from the organization

Removes PGP key from organization configuration.

Authorizations:
ApiKeyBearer
path Parameters
pgpKeyId
required
integer <int32>

Unique identifier of the PGP key to delete

Responses

Response Schema:
status
integer <int32>
severity
integer <int32> (Severity)
Enum: 0 1 2 3 4 -1
module
string or null
method
string or null
message
string or null

Response samples

Content type
No sample

Retrieves available PGP configuration options and settings

Returns available PGP algorithms, key strengths, and configuration options.

Authorizations:
ApiKeyBearer

Responses

Response Schema:
Array of objects or null (PgpAlgorithmOption)
Array of objects or null (PgpKeyStrengthOption)

Response samples

Content type
No sample

Retrieves the public key data for a specific PGP key

Returns Base64-encoded public key data for a PGP key.

Authorizations:
ApiKeyBearer
query Parameters
pgpKeyId
integer <int32>

Unique identifier of the PGP key to retrieve public key for

Responses

Response Schema:
string

Response samples

Content type
No sample

Generates a new PGP key pair for the organization

Example: required fields

{ "customerId": 0, "firstName": "example_first_name", "lastName": "example_last_name", "username": "example_user_name", "password": "example_password", "email": "example_email", "isEnabled": true, "isActive": true, "isLogSession": true }

Authorizations:
ApiKeyBearer
Request Body schema:

PGP key configuration including user identity information and key parameters

username
string or null
id
integer <int32>
organizationId
integer <int32>
name
string or null
publicKeyText
string or null
privateKeyText
string or null
algorithmId
integer or null <int32>
keyStrengthId
integer or null <int32>
compressionId
integer or null <int32>
passPhrase
string or null
expirationDate
string or null <date-time>
isASCIIArmor
boolean or null
description
string or null
createdBy
string or null
createdDate
string or null <date-time>
updatedBy
string or null
updatedDate
string or null <date-time>
deletedBy
string or null
deletedDate
string or null <date-time>

Responses

Response Schema:
id
integer <int32>
organizationId
integer <int32>
name
string or null
publicKeyText
string or null
algorithmId
integer or null <int32>
keyStrengthId
integer or null <int32>
username
string or null
expirationDate
string or null <date-time>
isASCIIArmor
boolean or null
description
string or null
createdBy
string or null
createdDate
string or null <date-time>
updatedBy
string or null
updatedDate
string or null <date-time>
deletedBy
string or null
deletedDate
string or null <date-time>

Request samples

Content type
{
  • "username": "string",
  • "id": 0,
  • "organizationId": 0,
  • "name": "string",
  • "publicKeyText": "string",
  • "privateKeyText": "string",
  • "algorithmId": 0,
  • "keyStrengthId": 0,
  • "compressionId": 0,
  • "passPhrase": "string",
  • "expirationDate": "2019-08-24T14:15:22Z",
  • "isASCIIArmor": true,
  • "description": "string",
  • "createdBy": "string",
  • "createdDate": "2019-08-24T14:15:22Z",
  • "updatedBy": "string",
  • "updatedDate": "2019-08-24T14:15:22Z",
  • "deletedBy": "string",
  • "deletedDate": "2019-08-24T14:15:22Z"
}

Response samples

Content type
No sample

Imports an existing PGP key into the organization

Imports existing PGP key into organization from provided key material.

Authorizations:
ApiKeyBearer
Request Body schema:

PGP key data including the key material and associated metadata

username
string or null
id
integer <int32>
organizationId
integer <int32>
name
string or null
publicKeyText
string or null
privateKeyText
string or null
algorithmId
integer or null <int32>
keyStrengthId
integer or null <int32>
compressionId
integer or null <int32>
passPhrase
string or null
expirationDate
string or null <date-time>
isASCIIArmor
boolean or null
description
string or null
createdBy
string or null
createdDate
string or null <date-time>
updatedBy
string or null
updatedDate
string or null <date-time>
deletedBy
string or null
deletedDate
string or null <date-time>

Responses

Response Schema:
id
integer <int32>
organizationId
integer <int32>
name
string or null
publicKeyText
string or null
algorithmId
integer or null <int32>
keyStrengthId
integer or null <int32>
username
string or null
expirationDate
string or null <date-time>
isASCIIArmor
boolean or null
description
string or null
createdBy
string or null
createdDate
string or null <date-time>
updatedBy
string or null
updatedDate
string or null <date-time>
deletedBy
string or null
deletedDate
string or null <date-time>

Request samples

Content type
{
  • "username": "string",
  • "id": 0,
  • "organizationId": 0,
  • "name": "string",
  • "publicKeyText": "string",
  • "privateKeyText": "string",
  • "algorithmId": 0,
  • "keyStrengthId": 0,
  • "compressionId": 0,
  • "passPhrase": "string",
  • "expirationDate": "2019-08-24T14:15:22Z",
  • "isASCIIArmor": true,
  • "description": "string",
  • "createdBy": "string",
  • "createdDate": "2019-08-24T14:15:22Z",
  • "updatedBy": "string",
  • "updatedDate": "2019-08-24T14:15:22Z",
  • "deletedBy": "string",
  • "deletedDate": "2019-08-24T14:15:22Z"
}

Response samples

Content type
No sample

Updates an existing PGP key configuration

Example: required fields

{ "customerId": 0, "firstName": "example_first_name", "lastName": "example_last_name", "username": "example_user_name", "password": "example_password", "email": "example_email", "isEnabled": true, "isActive": true, "isLogSession": true }

Authorizations:
ApiKeyBearer
Request Body schema:

Updated PGP key configuration including metadata and settings

username
string or null
id
integer <int32>
organizationId
integer <int32>
name
string or null
publicKeyText
string or null
privateKeyText
string or null
algorithmId
integer or null <int32>
keyStrengthId
integer or null <int32>
compressionId
integer or null <int32>
passPhrase
string or null
expirationDate
string or null <date-time>
isASCIIArmor
boolean or null
description
string or null
createdBy
string or null
createdDate
string or null <date-time>
updatedBy
string or null
updatedDate
string or null <date-time>
deletedBy
string or null
deletedDate
string or null <date-time>

Responses

Response Schema:
id
integer <int32>
organizationId
integer <int32>
name
string or null
publicKeyText
string or null
algorithmId
integer or null <int32>
keyStrengthId
integer or null <int32>
username
string or null
expirationDate
string or null <date-time>
isASCIIArmor
boolean or null
description
string or null
createdBy
string or null
createdDate
string or null <date-time>
updatedBy
string or null
updatedDate
string or null <date-time>
deletedBy
string or null
deletedDate
string or null <date-time>

Request samples

Content type
{
  • "username": "string",
  • "id": 0,
  • "organizationId": 0,
  • "name": "string",
  • "publicKeyText": "string",
  • "privateKeyText": "string",
  • "algorithmId": 0,
  • "keyStrengthId": 0,
  • "compressionId": 0,
  • "passPhrase": "string",
  • "expirationDate": "2019-08-24T14:15:22Z",
  • "isASCIIArmor": true,
  • "description": "string",
  • "createdBy": "string",
  • "createdDate": "2019-08-24T14:15:22Z",
  • "updatedBy": "string",
  • "updatedDate": "2019-08-24T14:15:22Z",
  • "deletedBy": "string",
  • "deletedDate": "2019-08-24T14:15:22Z"
}

Response samples

Content type
No sample